C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C******************************
C**     LDM_GET_TEMPL        **
C******************************
C
C
CD-Doc:
C TEMPlate         SUBROUTINE LDM_GET_TEMPL (VALSTR, IFLAG)
CD-end
      SUBROUTINE LDM_GET_TEMPL (VALSTR, IFLAG)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get value of string parameter TEMPLATE
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      CHARACTER*(*) VALSTR
      INTEGER IFLAG

C  VALSTR    (W)   Returns the file name template string (max 120 chars)
C  IFLAG     (W)   Flag = -1 undefined value
C                       =  0 default value
C                       =  1 value set explicitly
C                       =  2 value set globally
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      VALSTR = TEMPL
      IFLAG = IS_TEMPL
      RETURN
      END
